@extends('layouts.main')

@section('content')
    <!-- Page body -->
    <div class="page-body">
        <div class="container-xl">

            <input type="hidden" id="token_eva" name="_token" value="{{ csrf_token() }}">

            <div class="card">
                <div class="card-body">



                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumbs">
                            <li><a href="{{ url('/home') }}">Home</a></li>
                            <li><a href="{{ url('/home') }}">Packages</a></li>
                            <li><a href="{{ url('/packagelist_trainer') }}">{{ $title }}</a></li>
                        </ol>
                    </nav>


                    <h4 class="card-title"> {{ $title }} </h4>
                    <div class="table-responsive">
                        <table id="example" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>No</th>
                                    <th>Package Name</th>
                                    <th>Course Id</th>
                                    <th>Duration</th>
                                    <th>Prerequisites</th>
                                    <th>Action</th>




                                </tr>
                            </thead>
                            <tbody>
                                <?php $i = 1; ?>
                                @foreach ($packageList as $package)
                                    <tr>
                                        <td>{{ $i }}</td>
                                        <td>{{ ucfirst($package->pac_name) }}</td>
                                        <td>{{ $package->course_id }}</td>

                                        <td>{{ $package->duration }} {{ $package->duration == 1 ? 'month' : 'months' }}
                                        </td>
                                        <td>

                                            @if ($package->pre_req->isNotEmpty())
                                                @foreach ($package->pre_req as $prerequisite)
                                                    <span>{{ $prerequisite->pre_req }}</span><br>
                                                @endforeach
                                            @else
                                                <span>No prerequisites available.</span>
                                            @endif

                                        </td>
                                        <td class="col-auto">
                                            <div class="row" style="display: flex; align-items: center;">
                                                <div class="col-auto" style="display: flex; align-items: center;">
                                                    <span style="margin-right: 10px;">
                                                        <a href="{{ url('/packageEdit/' . $package->pac_id) }}"
                                                            title="Edit Prerequisite">

                                                            <svg xmlns="http://www.w3.org/2000/svg" width="16"
                                                                height="16" viewBox="0 0 16 16" fill="none">
                                                                <g clip-path="url(#clip0_1324_7290)">
                                                                    <path
                                                                        d="M10.7376 15.1665H5.26271C4.09912 15.1754 2.97948 14.7228 2.14921 13.9079C1.31895 13.093 0.845804 11.9823 0.833496 10.8193V5.7198C0.836982 5.14223 0.954362 4.57101 1.17892 4.03882C1.40348 3.50663 1.73082 3.02392 2.1422 2.6183C2.55358 2.21268 3.04093 1.89211 3.57638 1.67493C4.11183 1.45774 4.68487 1.34821 5.26271 1.3526H7.62052C7.68612 1.3526 7.75107 1.36551 7.81168 1.39061C7.87229 1.4157 7.92735 1.45248 7.97374 1.49884C8.02013 1.5452 8.05692 1.60025 8.08203 1.66082C8.10713 1.7214 8.12005 1.78633 8.12005 1.8519C8.12005 1.91747 8.10713 1.98239 8.08203 2.04297C8.05692 2.10355 8.02013 2.15859 7.97374 2.20496C7.92735 2.25132 7.87229 2.2881 7.81168 2.31319C7.75107 2.33828 7.68612 2.3512 7.62052 2.3512H5.26271C4.37041 2.3458 3.51197 2.69224 2.87357 3.31538C2.23518 3.93852 1.86831 4.78811 1.85255 5.67986V10.7794C1.86831 11.6711 2.23518 12.5207 2.87357 13.1438C3.51197 13.767 4.37041 14.1134 5.26271 14.108H10.7376C11.6299 14.1134 12.4884 13.767 13.1268 13.1438C13.7652 12.5207 14.132 11.6711 14.1478 10.7794V7.43739C14.1621 7.31235 14.2219 7.19695 14.3159 7.11317C14.4099 7.0294 14.5314 6.9831 14.6573 6.9831C14.7832 6.9831 14.9047 7.0294 14.9987 7.11317C15.0927 7.19695 15.1525 7.31235 15.1668 7.43739V10.8193C15.1545 11.9823 14.6814 13.093 13.8511 13.9079C13.0209 14.7228 11.9012 15.1754 10.7376 15.1665V15.1665ZM11.7833 1.8519C11.6864 1.85004 11.5905 1.87144 11.5036 1.9143C11.4166 1.95716 11.3413 2.02023 11.2838 2.09822L10.8908 2.60417C11.0232 3.14221 11.3447 3.61476 11.7966 3.93564C12.2148 4.25211 12.7241 4.42492 13.2486 4.42828H13.3285L13.7215 3.92232C13.7705 3.85859 13.8064 3.78574 13.827 3.70802C13.8476 3.6303 13.8525 3.54926 13.8414 3.46963C13.8317 3.38997 13.8053 3.31324 13.764 3.24443C13.7227 3.17562 13.6674 3.11625 13.6016 3.07019L12.1563 1.97839C12.0495 1.8959 11.9183 1.85138 11.7833 1.8519M11.7833 0.8533C12.1384 0.853295 12.4841 0.967686 12.7691 1.17951L14.2277 2.25799C14.3992 2.38344 14.5439 2.54195 14.6531 2.72418C14.7624 2.90641 14.834 3.10866 14.8638 3.319C14.8936 3.52935 14.881 3.74353 14.8266 3.94891C14.7723 4.15429 14.6773 4.34671 14.5474 4.51482L14.1078 5.08735C14.0432 5.17272 13.9622 5.24436 13.8696 5.29808C13.7769 5.35181 13.6745 5.38654 13.5683 5.40025H13.2486C12.505 5.40371 11.7795 5.17055 11.1772 4.73452C10.4887 4.23912 10.0129 3.50197 9.84511 2.67075C9.82929 2.56526 9.83532 2.45765 9.86282 2.35458C9.89031 2.25152 9.9387 2.1552 10.005 2.07159L10.4446 1.49906C10.5997 1.29236 10.8008 1.12459 11.032 1.00904C11.2632 0.893486 11.5181 0.833328 11.7767 0.833328L11.7833 0.8533ZM8.74614 5.38028L7.25419 7.34418C7.18881 7.42568 7.15144 7.52606 7.14762 7.63045V9.73416C7.14442 9.76004 7.14759 9.78631 7.15688 9.81068C7.16617 9.83505 7.18129 9.85678 7.20091 9.87397C7.24162 9.91486 7.29641 9.93867 7.3541 9.94054H7.41404L9.45215 9.34138C9.55268 9.30827 9.64089 9.24563 9.70524 9.16163L11.1972 7.23101C10.7232 7.04024 10.2755 6.78967 9.86509 6.48539C9.45277 6.17848 9.08319 5.81804 8.76612 5.41356M8.79942 3.97558C8.87502 3.97381 8.94957 3.99351 9.01442 4.0324C9.07926 4.07128 9.13174 4.12776 9.16575 4.19527C9.49998 4.78041 9.95388 5.28854 10.4978 5.68651C11.0391 6.09059 11.6618 6.37226 12.3228 6.51202C12.3944 6.52306 12.4617 6.55303 12.5178 6.59881C12.5739 6.6446 12.6168 6.70455 12.6419 6.77245C12.667 6.84035 12.6735 6.91372 12.6608 6.98499C12.648 7.05625 12.6164 7.1228 12.5692 7.17775L10.5711 9.78742C10.3755 10.0428 10.1019 10.2275 9.79183 10.3133L7.73374 10.9125C7.62136 10.9464 7.50477 10.9643 7.3874 10.9658C7.22628 10.9684 7.06627 10.9388 6.9168 10.8786C6.76734 10.8184 6.63147 10.7289 6.51722 10.6153C6.40297 10.5017 6.31266 10.3664 6.25162 10.2174C6.19059 10.0683 6.16007 9.90853 6.16187 9.74748V7.64376C6.16712 7.32448 6.2771 7.01575 6.47492 6.765L8.47306 4.15533C8.51334 4.10579 8.56409 4.06578 8.62166 4.03816C8.67924 4.01053 8.74222 3.99599 8.80608 3.99555L8.79942 3.97558Z"
                                                                        fill="#1B84FF" />
                                                                </g>
                                                                <defs>
                                                                    <clipPath id="clip0_1324_7290">
                                                                        <rect width="16" height="16"
                                                                            fill="white" />
                                                                    </clipPath>
                                                                </defs>
                                                            </svg>
                                                        </a>
                                                    </span>
                                                    {{-- <span style="margin-right: 10px;">
                                                        <a href="{{ url('/syllabusupload/' . $package->pac_id) }}"
                                                            title="Upload Syllabus">

                                                            <svg xmlns="http://www.w3.org/2000/svg" width="24"
                                                                height="24" viewBox="0 0 24 24" fill="none">
                                                                <path
                                                                    d="M11.3136 21.6349H9.64591C9.45086 21.6151 9.26475 21.5432 9.10716 21.4266C8.94957 21.31 8.82635 21.153 8.75048 20.9723C8.6746 20.7915 8.64888 20.5936 8.67603 20.3995C8.70317 20.2053 8.78217 20.0221 8.90471 19.8691L11.27 17.5038C11.4703 17.323 11.7305 17.2229 12.0003 17.2229C12.2701 17.2229 12.5303 17.323 12.7306 17.5038L15.0959 19.8691C15.2184 20.0221 15.2974 20.2053 15.3246 20.3995C15.3517 20.5936 15.326 20.7915 15.2501 20.9723C15.1743 21.153 15.051 21.31 14.8935 21.4266C14.7359 21.5432 14.5498 21.6151 14.3547 21.6349H12.687"
                                                                    fill="#1B84FF" />
                                                                <path opacity="0.3"
                                                                    d="M19.6301 15.3994C20.4974 15.3994 21.3291 15.0549 21.9423 14.4417C22.5556 13.8284 22.9001 12.9967 22.9001 12.1294C22.9001 11.2622 22.5556 10.4304 21.9423 9.81719C21.3291 9.20395 20.4974 8.85943 19.6301 8.85943H19.423C19.556 8.51121 19.6261 8.14216 19.6301 7.76943C19.6301 6.90217 19.2856 6.07044 18.6723 5.45719C18.0591 4.84395 17.2274 4.49943 16.3601 4.49943C15.7068 4.50119 15.069 4.69861 14.5289 5.06623C13.9276 4.03424 13.0039 3.22835 11.8999 2.77252C10.7959 2.31668 9.57273 2.23614 8.4185 2.54327C7.26426 2.85041 6.24288 3.52821 5.51144 4.47245C4.77999 5.41669 4.37899 6.57506 4.3701 7.76943C4.37303 8.13533 4.40951 8.50019 4.4791 8.85943H4.3701C3.50284 8.85943 2.6711 9.20395 2.05786 9.81719C1.44461 10.4304 1.1001 11.2622 1.1001 12.1294C1.1001 12.9967 1.44461 13.8284 2.05786 14.4417C2.6711 15.0549 3.50284 15.3994 4.3701 15.3994H19.6301Z"
                                                                    fill="#1B84FF" />
                                                            </svg>
                                                        </a>
                                                    </span> --}}
                                                    <span style="margin-right: 10px;">
                                                        <a href="{{ url('/viewPacSyllabus/' . $package->pac_id) }}"
                                                            title="View Syllabus">


                                                            <svg xmlns="http://www.w3.org/2000/svg" width="22"
                                                                height="22" viewBox="0 0 22 22" fill="none">
                                                                <path
                                                                    d="M11.275 12.65C12.6116 12.65 13.6951 11.665 13.6951 10.45C13.6951 9.23494 12.6116 8.24997 11.275 8.24997C9.93848 8.24997 8.85498 9.23494 8.85498 10.45C8.85498 11.665 9.93848 12.65 11.275 12.65Z"
                                                                    fill="#1B84FF" />
                                                                <path
                                                                    d="M20.3142 10.263C19.6026 8.5897 18.3672 7.14263 16.7608 6.10064C15.1543 5.05865 13.2472 4.46741 11.2752 4.39999C9.30315 4.46741 7.39606 5.05865 5.78963 6.10064C4.18319 7.14263 2.94784 8.5897 2.23624 10.263C2.18818 10.3838 2.18818 10.5162 2.23624 10.637C2.94784 12.3103 4.18319 13.7574 5.78963 14.7993C7.39606 15.8413 9.30315 16.4326 11.2752 16.5C13.2472 16.4326 15.1543 15.8413 16.7608 14.7993C18.3672 13.7574 19.6026 12.3103 20.3142 10.637C20.3622 10.5162 20.3622 10.3838 20.3142 10.263ZM11.2752 14.025C10.4974 14.025 9.73707 13.8153 9.09035 13.4225C8.44364 13.0297 7.93959 12.4713 7.64194 11.8181C7.34429 11.1648 7.26641 10.446 7.41815 9.75255C7.56989 9.05906 7.94443 8.42206 8.49442 7.92209C9.0444 7.42211 9.74513 7.08163 10.508 6.94369C11.2708 6.80574 12.0615 6.87654 12.7801 7.14712C13.4987 7.41771 14.1129 7.87592 14.545 8.46383C14.9772 9.05174 15.2078 9.74293 15.2078 10.45C15.2062 11.3977 14.7914 12.3062 14.0542 12.9763C13.317 13.6464 12.3177 14.0235 11.2752 14.025Z"
                                                                    fill="#1B84FF" />
                                                            </svg>
                                                        </a>
                                                    </span>
                                                    <span style="margin-right: 10px;">
                                                        <a href="{{ url('/viewTechnologySyllabus/'.$package->pac_id) }}" title="Assign syllabus">


                                                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-file-plus"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M14 3v4a1 1 0 0 0 1 1h4" /><path d="M17 21h-10a2 2 0 0 1 -2 -2v-14a2 2 0 0 1 2 -2h7l5 5v11a2 2 0 0 1 -2 2z" /><path d="M12 11l0 6" /><path d="M9 14l6 0" /></svg>
                                                        </a>
                                                    </span>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    <?php $i++; ?>
                                @endforeach

                            </tbody>

                        </table>

                    </div>
                </div>

            </div>
            <script>
                @if (Session::has('message'))
                    swal({
                        title: "",
                        text: "{{ Session::get('message') }}",
                        type: "success",
                        showCancelButton: false,
                        dangerMode: false,
                        confirmButtonText: 'OK',
                    });
                @endif
            </script>
        @endsection
